Package org.apache.tools.ant.taskdefs.optional.javah

## Class Gcjh

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.javah.Gcjh

All Implemented Interfaces:
  `JavahAdapter`

    public class Gcjh
    extends java.lang.Object
    implements JavahAdapter

Adapter to the native gcjh compiler.

Since:
  Ant 1.8.2

### Field Summary

Fields
`static java.lang.String` `IMPLEMENTATION_NAME`

### Constructor Summary

Constructors
`Gcjh()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `compile​(Javah javah)` Performs the actual compilation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IMPLEMENTATION_NAME

    public static final java.lang.String IMPLEMENTATION_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### Gcjh

    public Gcjh()

### Method Detail

#### compile

    public boolean compile​(Javah javah)
                    throws BuildException

Performs the actual compilation.

Specified by:
  `compile` in interface `JavahAdapter`
Parameters:
  `javah` - the calling javah task.
Returns:
  true if the compilation was successful.
Throws:
  `BuildException` - if there is an error.